biterp

Create sales order

POST
/sales-orders
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.biterp.ai/sales-orders" \  -H "Content-Type: application/json" \  -d '{    "product_type": "goods",    "order_date": "2019-08-24",    "items": [      {        "quantity": "2.000000"      }    ]  }'
{
  "id": "string",
  "reference_code": "string",
  "operation_type": "sale",
  "product_type": "goods",
  "status": "draft",
  "order_date": "2019-08-24",
  "delivery_date": "2019-08-24",
  "customer_id": "string",
  "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
  "salesperson_name": "string",
  "description": "string",
  "notes": "string",
  "subtotal": "1500.000000",
  "items_discount": "0.000000",
  "discount_amount": "0.000000",
  "discount_rate": "10.000000",
  "total_discount": "0.000000",
  "total": "1500.000000",
  "metadata": {},
  "br_data": {
    "taxation_type": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "customer": {
    "id": "string",
    "legal_name": "string",
    "trade_name": "string",
    "tax_id": "string"
  },
  "items": [
    {
      "id": "string",
      "sales_order_id": "string",
      "product_id": "string",
      "item_description": "string",
      "quantity": "2.000000",
      "unit_price": "100.000000",
      "discount_amount": "0.000000",
      "subtotal": "200.000000",
      "total": "200.000000",
      "position": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "product": {
        "id": "string",
        "name": "string",
        "reference_code": "string",
        "br_data": {
          "ncm_code": "string",
          "cest_code": "string",
          "origin": "string",
          "extipi": "string",
          "ibs_cbs_cst": "string",
          "ibs_cbs_classification": "string",
          "ibs_cbs_operation_indicator_code": "string",
          "ibs_cbs_is_personal_use": true
        },
        "us_data": {
          "hts_code": "string",
          "schedule_b_code": "string",
          "eccn_code": "string",
          "tax_code": "string",
          "sales_tax_category": "string",
          "country_of_origin": "string",
          "upc_code": "string"
        }
      }
    }
  ],
  "receivables": [
    {
      "id": "string",
      "reference_code": "string",
      "status": "string",
      "amount": "1500.000000",
      "due_date": "2019-08-24",
      "paid_at": "2019-08-24T14:15:22Z",
      "payment_method_id": "ec18d2d7-d2e0-41e4-98e4-847f14422d8a",
      "financial_account_id": "12004dd2-b67b-4561-b5c8-278b86c292fd",
      "installment_number": 0,
      "installment_count": 0,
      "description": "string"
    }
  ],
  "has_active_receivables": true
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}